export declare enum RGlobalLogicalPosition {
    TOP_START = "top-start",
    TOP_END = "top-end",
    BOTTOM_START = "bottom-start",
    BOTTOM_END = "bottom-end"
}
export declare enum RGlobalPhysicalPosition {
    TOP_RIGHT = "top-right",
    TOP_LEFT = "top-left",
    BOTTOM_RIGHT = "bottom-right",
    BOTTOM_LEFT = "bottom-left"
}
export declare type RGlobalPosition = RGlobalPhysicalPosition | RGlobalLogicalPosition;
export declare class RPositionHelper {
    toLogicalPosition(position: RGlobalPosition): RGlobalLogicalPosition;
    toPhysicalPosition(position: RGlobalPosition): RGlobalPhysicalPosition;
    isTopPosition(position: RGlobalPosition): boolean;
    isRightPosition(position: RGlobalPosition): boolean;
    protected toLogicalPositionWhenLtr(position: RGlobalPhysicalPosition): RGlobalLogicalPosition;
    protected toLogicalPositionWhenRtl(position: RGlobalPhysicalPosition): RGlobalLogicalPosition;
    protected toPhysicalPositionWhenLtr(position: RGlobalLogicalPosition): RGlobalPhysicalPosition;
    protected toPhysicalPositionWhenRtl(position: RGlobalLogicalPosition): RGlobalPhysicalPosition;
}
